> ## Documentation Index
> Fetch the complete documentation index at: https://reel25.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Videos from Folder

> Remove videos from a folder

Remove up to 50 videos from a folder. The videos remain tracked in your workspace — they are only removed from this folder.

## Path parameters

<ParamField path="id" type="string" required>
  The folder UUID.
</ParamField>

## Body parameters

<ParamField body="video_ids" type="string[]" required>
  Array of video UUIDs to remove (max 50).
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.reel25.com/api/v1/folders/f1a2b3c4-.../videos \
    -H "Authorization: Bearer reel25_sk_..." \
    -H "Content-Type: application/json" \
    -d '{"video_ids": ["550e8400-..."]}'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.reel25.com/api/v1/folders/f1a2b3c4-.../videos',
    {
      method: 'DELETE',
      headers: {
        'Authorization': 'Bearer reel25_sk_...',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({ video_ids: ['550e8400-...'] }),
    }
  );
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      f'https://api.reel25.com/api/v1/folders/{folder_id}/videos',
      headers={
          'Authorization': 'Bearer reel25_sk_...',
          'Content-Type': 'application/json',
      },
      json={'video_ids': ['550e8400-...']}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "removed": 1
    }
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.